<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listSubjects") label="Subjects"]]
  [[> Partial:breadcrumbViewEntity entity="Subject" urlparam="subjectiri"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader2 param="subjectiri" prefix="Subject: "]]

<div class="form-container">
  <semantic-form
    subject="[[urlParam 'subjectiri']]"
    browser-persistence="false"
    persistence="ldp"
    post-action="redirect"
    fields="[[fieldDefinitions
      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
      ismi_public='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_public'
      label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
      part_of='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/subject_part_of'
      record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/subject_record_type'
      record_type_2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/subject_record_type_2'
      record_type_3='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/subject_record_type_3'
      transaction_log='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transaction_log'
    ]]"
    >

    <bs-tab-container 
      id="subject-edit-form" 
      class="bs-left-vertical-tabs" 
      default-active-key='[[#if (urlParam "tab" )]][[urlParam "tab"]][[else]]description[[/if]]'
    >
      <div>
        <bs-col sm="2" >
          <bs-nav bs-style="tabs" stacked="true">

            <bs-nav-item event-key="description">
              Subject
            </bs-nav-item>

            [[#if (hasPermission "forms:ldp:update")]]
              <bs-nav-item event-key="internal" class="hidden-field">
                Internal
              </bs-nav-item>
              <bs-nav-item event-key="delete">
                Delete
              </bs-nav-item>
            [[/if]]
          </bs-nav>
        </bs-col>
        <bs-col sm="10">

          <bs-tab-content animation="true">

            <bs-tab-pane event-key="description">
              <h3>Subject</h3>

              <semantic-form-text-input for="label"></semantic-form-text-input>

              <semantic-form-select-input for ="part_of"></semantic-form-select-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="delete">

              [[> Partial:deleteButton 
                back=(resolvePrefix ":editSubject")
                param="subjectiri"
                entityType="Subject"
                redirect=(resolvePrefix ":listSubjects")
              ]]

            </bs-tab-pane>

            <bs-tab-pane event-key="internal">
              <h3>Internal</h3>
              <semantic-form-text-input for="ismi_id"></semantic-form-text-input>
              <semantic-form-checkbox-input for="ismi_public"></semantic-form-checkbox-input>
              <semantic-form-text-input for="record_type"></semantic-form-text-input>
              <semantic-form-text-input for="record_type_2"></semantic-form-text-input>
              <semantic-form-text-input for="record_type_3"></semantic-form-text-input>
              <semantic-form-text-input for="transaction_log" multiline="true"></semantic-form-text-input>
            </bs-tab-pane>

          </bs-tab-content>

          <div class="gap text-right">
            <button name="submit" class="btn btn-primary btn-md">Save</button>
            <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
            <semantic-form-errors></semantic-form-errors>
          </div>

        </bs-col>
      <div>
    </bs-tab-container>

  </semantic-form>
</div>

[[> Partial:contentEnd]]
